<?php
session_start();/**************************************************صفحة تحميل المزيد من  نتائج الاستبيانات*******************************************************************/

// ضبط اعدادات اللغة العربية للصفحة 
header("content-type:text/html;charset=utf-8"); 


//استدعاء ملف الاعدادات
$conc_type='cp_exec_conc';
include '../conf.php';
include '../conf_sub.php';

//تحديد لينك الموقع
$_SESSION['website_url'] = $website_url;
//استدعاء ملف الاتصال بقاعدة البيانات
//include $cp_exec_conc;

//استدعاء ملف الحماية من الحقن
include "../injection.php";


//ضمان توافق قاعدة البيانات مع اللغة العربية
mysqli_query($conn,"SET NAMES 'utf8'");
mysqli_query($conn,'SET CHARACTER SET utf8');
mysqli_query($conn,"SET character_set_client=utf8");
mysqli_query($conn,"SET character_set_connection=utf8");
mysqli_query($conn,"SET character_set_database=utf8");
mysqli_query($conn,"SET character_set_results=utf8");
mysqli_query($conn,"SET character_set_server=utf8");
mysqli_query($conn," set character_set_server='utf8'");
include("fetch_array_search.php");

//ايقاف التنفيذ فى حالة عدم تسجيل الدخول
if(!isset($_SESSION[$domain.'_user']) || $_SESSION[$domain.'_user']==""){die;}

if(!isset($_POST['table']) || !isset($_POST['start']) || !isset($_POST['end']) || 
!isset($_POST['num_rows'])  ||!isset($_POST['search'])){ die(); };


// معالجة حقن المتغيرات
injection($_POST['search']);
injection($_POST['table']);
is_num($_POST['start']);
is_num($_POST['end']);
is_num($_POST['num_rows']);

/*  اسم الجدول وبداية الكويرى */  
$table=$_POST['table'];

//رقم سحل البداية
$start=$_POST['start'];

//رقم سحل النهاية
$end=$_POST['end'];

// عدد الصفوف المستدعاة

//تحديد عدد الصفوف
$num_rows=$_POST['num_rows'];


// كلمة البحث
$search=$_POST['search'];
$type=$_POST['type'];


//بداية الاستعلام
$query="
select polls.id,polls.title,polls.type,count(polls_questions.id) as questions_num,count( DISTINCT polls_users.id) as users_num from polls 
left join polls_questions 
on 
polls.id=polls_questions.poll_id 
left join polls_users 
on
polls.id=polls_users.poll_id
where
polls.`title` like '%$search%'
and 
polls.`type` like '%$type%'
group by polls_questions.poll_id; ";




//تنفيذ الاستعلام
$result=mysqli_query($conn,$query);
$rows_num=mysqli_num_rows($result);

?>	

<div id="load_wait"></div>

<div id="result_view">
	
<table   cellpadding="0" cellspacing="0" width="988"  dir="rtl"  style="border-left:solid 1px #ccc" >
<tr class='first_table_tr'>

<td align="center">عنوان الاستبيان</td>
<td align="center">نوع الاستبيان</td>
<td align="center">عدد الاسئلة</td>
<td align="center">عدد المستخدمين</td>
<td align="center"></td>
</tr>	
	
	
<?php
   /*بداية التكرار */  
 while($fetch = mysqli_fetch_array($result)) {
   		 $fetch = clean_array($fetch);
	
	
	
echo"<tr  class='table_tr'>";


echo"<td><div style='text-align:center;'>$fetch[title]</div></td>";
echo"<td><div style='text-align:center;'>$fetch[type]</div></td>";
echo"<td><div style='text-align:center;'>$fetch[questions_num]</div></td>";
echo"<td><div style='text-align:center;'>$fetch[users_num]</div></td>";
echo"<td align='center'><a class='edit_services' alt'$fetch[id]' href='view_polls_details.php?id=$fetch[id]'><img loading='lazy' a src='../img/view.png'></td>";


echo"</tr>";
}	
?>
</table>
</div>
<div style='display:none' id="total_rows"><?php echo $rows_num; ?></div>
<div style='display:none' id='done_load'>done</div>		
		


